---
# based on: https://github.com/linuxserver/docker-jellyfin/tree/02227bfbae131618953e603a930b591f77525de0
version: "2.1"
services:
  jellyfin:
    image: lscr.io/linuxserver/jellyfin:latest
    container_name: jellyfin
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=America/New_York
      - JELLYFIN_PublishedServerUrl={{ ansible_default_ipv4.address }} #optional
    volumes:
      - ./config:/config
      - ./media/tvseries:/data/tvshows
      - ./media/movies:/data/movies
    devices:
      # https://jellyfin.org/docs/general/administration/hardware-acceleration.html#intel-quicksync-qsv-hardware-acceleration-on-debianubuntu
      # VAAPI Devices (examples)
      - /dev/dri:/dev/dri
    ports:
      - 127.0.0.1:8096:8096
      #- 8920:8920 #optional
      - 7359:7359/udp #optional
      - 1900:1900/udp #optional
    #restart: unless-stopped
